const pathComm = require('path')
const fs = require('fs-extra')
const chalk = require('chalk')
const { materielData } = require('./data')

const resolve = (dir) => pathComm.join(__dirname, '../', dir)

module.exports = (list, formLayout, formName) => {
    return new Promise((res) => {
        const meta = {
            name: '自定义表单',
            doc: '说明',
            formLayout,
            list: []
        }
        fs.readdirSync(resolve('/src/materiel'))
        list.forEach((v) => {
            const { comName, pathNames } = materielData.comKey
            const index = comName.findIndex((j) => j === v.fieldType)
            meta.list.push({
                viewPath: `/materiel/${pathNames[index]}/view`,
                ...v
            })
        })
        const metaPath = pathComm.join(resolve('/cli/meta-file'), `${formName}.json`)
        try {
            fs.accessSync(metaPath)
            fs.writeFileSync(metaPath, JSON.stringify(meta, undefined, 2))
            fs.copySync(metaPath, resolve('/src/pages/home/meta.json'))
        } catch (err) {
            fs.writeFileSync(metaPath, JSON.stringify(meta, undefined, 2))
            fs.copySync(metaPath, resolve('/src/pages/home/meta.json'))
        }
        console.log(chalk.green('meta.json ---> 已修改 \n'))
        res(meta)
    })
}
