const fs = require('fs-extra')
const babel = require('@babel/core')
const traverse = require('@babel/traverse').default
const { transformFromAst } = require('@babel/core')
const t = require('@babel/types')

const { parse } = babel
module.exports = (path, comName, pathNames, key) => {
    const astModify = (path, comName, pathNames) => {
        fs.writeFileSync(path, 'export default {}')
        const ast = parse(fs.readFileSync(path, 'utf8'))
        traverse(
            ast,
            {
                Program(path, asset) {
                    comName.forEach((v, i) => {
                        const im = t.importDeclaration(
                            [t.importDefaultSpecifier(t.identifier(v))],
                            t.stringLiteral(`./${pathNames[i]}/${key}`)
                        )
                        path.unshiftContainer('body', im)
                    })
                },
                ExportDefaultDeclaration(path, asset) {
                    const arr = []
                    comName.forEach((v) => {
                        arr.push(v)
                    })
                    const ex = `export default {${arr.join(',')}}`
                    path.replaceWith(parse(ex).program.body[0])
                    path.skip()
                }
            },
            null
        )
        const { code } = transformFromAst(ast, null)
        fs.writeFileSync(path, code)
    }
    astModify(path, comName, pathNames)
}
