const fs = require('fs')
const checkDirectory = (src, dst) => {
    return new Promise((res) => {
        fs.access(dst, fs.constants.F_OK, async (err) => {
            if (err) {
                fs.mkdirSync(dst)
                await copy(src, dst)
                res()
            } else {
                await copy(src, dst)
                res()
            }
        })
    })
}

const syncwriteStream = (_src, _dst) => {
    return new Promise((res) => {
        let readable = fs.createReadStream(_src)
        let writable = fs.createWriteStream(_dst)
        readable.pipe(writable)
        writable.on('finish', function() {
            res()
        })
    })
}

const copy = (src, dst) => {
    return new Promise((res) => {
        let paths = fs.readdirSync(src)
        paths.forEach((path, index) => {
            const _src = src + '/' + path
            const _dst = dst + '/' + path
            fs.stat(_src, async (err, stats) => {
                if (err) throw err
                if (stats.isFile()) {
                    await syncwriteStream(_src, _dst)
                } else if (stats.isDirectory()) {
                    await checkDirectory(_src, _dst)
                }
                if (index === paths.length - 1) {
                    res()
                }
            })
        })
    })
}

module.exports = {
    checkDirectory
}
