import React, { useEffect } from 'react'

import { createUid, getDragIndex } from '../utils'

/** 这个hooks 是因为目前大部分design组件都是同样的逻辑，如果有特殊的desing 则单独实现修改state */
export default (props) => {
    const onChangeKeyArr = (name, value) => {
        props.onChange((draft) => {
            name.reduce((j, v) => {
                if (v === name[name.length - 1]) {
                    try {
                        j[v] = value
                    } catch (err) {
                        console.error('未定义的变量：先去对应组件的index.json 定义你要保存的变量')
                    }
                }
                return j[v]
            }, draft)
        })
    }

    const onDelKeyArr = (name, i) => {
        props.onChange((draft) => {
            name.reduce((j, v) => {
                if (v === name[name.length - 1] && Array.isArray(j[v])) {
                    j[v].splice(i, 1)
                }
                return j[v]
            }, draft)
        })
    }

    const addItem = () => {
        if (props.disablePage) {
            return
        }
        props.onChange((draft) => {
            const val = `选项${draft.fieldOption.length + 1}`
            draft.fieldOption.push({
                label: val,
                value: val,
                score: 0,
                fieldKey: createUid()
            })
        })
    }

    const deleteItem = (index) => {
        if (props.disablePage) {
            return
        }
        props.onChange((draft) => {
            draft.fieldOption.splice(index, 1)
        })
    }

    const dragItem = (targetKey, goKey) => {
        const { targetIndex, goIndex } = getDragIndex(props.data.fieldOption, targetKey, goKey)
        props.onChange((draft) => {
            const targetItem = draft.fieldOption.splice(targetIndex, 1)
            draft.fieldOption.splice(goIndex, 0, targetItem[0])
        })
    }

    return {
        state: { data: props.data },
        onChangeKeyArr,
        dragItem,
        addItem,
        deleteItem,
        onDelKeyArr
    }
}
