import React, { memo, useMemo } from 'react'

import Doms from '@/materiel/design'

const RenderEdit = (props: cbQueySys.editItemTypes) => {
    const EditBox = useMemo(() => {
        return Doms[props.data.fieldType]
    }, [props.data.fieldKey])

    if (!EditBox) {
        return <div></div>
    }

    return (
        <div>
            <div className="edit-item_header">组件类型：{props.data.fieldTypeName}</div>
            <EditBox
                key={props.data.fieldKey}
                data={props.data}
                disablePage={props.disablePage}
                onChange={(cb) => {
                    props.onChange(cb, props.data.fieldKey)
                }}
            />
        </div>
    )
}

const EditItem = (props: cbQueySys.editItemTypes) => {
    return (
        <div className="edit-item_box">
            <div className="edit-item_center">
                <RenderEdit data={props.data} disablePage={props.disablePage} onChange={props.onChange} />
            </div>
        </div>
    )
}

export default EditItem
