import React, { memo } from 'react'

import Item from './item'

const Side = (props: cbQueySys.sideProps) => {
    const { list = [] } = props
    return (
        <div className="cb-que-sys_side">
            {list.map((v) => {
                return (
                    <div className="side-item" key={v.name}>
                        <div className="side-item_title">{v.name}</div>
                        <div className="cb-que-sys_drag side-item_models">
                            {v.models.map((j) => {
                                return (
                                    <Item
                                        key={j.key}
                                        data={j}
                                        beginDrag={props.sideBeginDrag}
                                        endDrag={props.sideEndDrag}
                                        disablePage={props.disablePage}
                                        sideItemClick={props.sideItemClick}
                                    />
                                )
                            })}
                        </div>
                    </div>
                )
            })}
        </div>
    )
}

export default memo(Side, (prev, next) => {
    if (prev.list.length === next.list.length) {
        return true
    }
    return false
})
