import React from 'react'

import { Button } from 'antd'
import { useDrag } from 'react-dnd'
import Icon from '@/component/edit-engine/component/iconfont/icon'

const editOk = {
    NextPage: true,
    Title: true,
    TitleReset: true
}

const icons: { [key: string]: string } = {
    Select: 'icon-xialakuangbiaodan',
    TextArea: 'icon-duohangshurukuang',
    TreeSelect: 'icon-shuxuanzeqi',
    SelectMultiple: 'icon-biaodanzujian-xialakuang',
    Checkbox: 'icon-newxuanzhongduoxuan',
    Input: 'icon-icon_danhangshurukuang',
    InputNumber: 'icon-jishuqi',
    Radio: 'icon-danxuan',
    InputPassword: 'icon-mima',
    DatePicker: 'icon-riqixuanze',
    RangePicker: 'icon-time',
    NextPage: 'icon-fenyeqi',
    Upload: 'icon-shangchuan',
    Table: 'icon-biaoge'
}

const Item = ({ beginDrag, endDrag, data, sideItemClick, disablePage }: any) => {
    const [, drag] = useDrag({
        item: {
            type: 'main',
            id: data.fieldKey,
            dragType: data.key
        },
        begin: () => {
            beginDrag(data.fieldKey)
        },
        end: (props, monitor) => {
            const didDrop = monitor.didDrop()
            endDrag(didDrop)
        }
    })
    return (
        <div ref={drag} key={data.key} className="side-btn">
            <Button
                onClick={sideItemClick.bind(this, data)}
                type="ghost"
                className="item-models_item"
                icon={<Icon className="icon-s" color="#fff" name={icons[data.key] || 'icon-morenyingyong'} />}
                disabled={!editOk[data.key] && disablePage}
                style={{ width: '100%' }}
            >
                {data.name}
            </Button>
        </div>
    )
}

export default Item
