import React from 'react'

import './index'

import './index.less'

const Icon = (props: { name: string; color?: string; fontSize?: string; className?: string }) => {
    return (
        <svg
            className={`icon ${props.className}`}
            aria-hidden="true"
            style={{
                color: props.color ? props.color : undefined,
                fontSize: props.fontSize || undefined
            }}
        >
            <use xlinkHref={`#${props.name}`}></use>
        </svg>
    )
}

export default Icon
