declare namespace cbQueySys {
    export interface Iprops {
        onRef?: Function
        disablePage?: boolean
        change?: () => void
        formLayout: any
    }

    type formType =
        | 'Checkbox'
        | 'Date'
        | 'DatePicker'
        | 'Input'
        | 'InputNumber'
        | 'InputPassword'
        | 'NextPage'
        | 'Radio'
        | 'Select'
        | 'TextArea'
        | 'RangePicker'
        | 'SelectMultiple'
        | 'Table'
        | 'TreeSelect'
        | 'Upload'

    export interface sildemodelsItem {
        key: formType | string
        name: string
    }

    export interface sildeList {
        name: string
        models: sildemodelsItem[]
    }

    export interface sideItemClickType {
        (item: sildemodelsItem): void
    }

    export interface sideProps {
        list: sildeList[]
        sideItemClick: sideItemClickType
        sideEndDrag: (key: any) => void
        sideBeginDrag: (key: any) => void
        disablePage: boolean
    }

    export interface mainItemOptItemTypes {
        fieldDesc: string
        value: any
        fieldKey: string
        fieldOrder: number
        fieldOption: any[]
        fieldValue?: string
    }

    export interface mainItemOptionType {
        fieldDesc: string
        value: string
        fieldOrder?: number
        imageSize?: number // 图片大小
        imageNumber?: number // 图片数量
        type?: string // 题目规则类型
        fieldKey: any
    }

    export interface mainItemType {
        fieldType: string // 题目类型
        fieldLabel: string // 题目名称
        fieldKey: string // id
        fieldRequired: boolean // 是否必填
        fieldTypeName: string
        fieldOption: any // 题目规则;
        fieldProperties: any
        fieldDesc: string // 题目描述
        fieldValue?: any // 题目答案
        tipCommon?: boolean
        [key:string]: any
    }

    export type optType = 'remove' | 'up' | 'down' | 'edit'

    export interface mainProps {
        list: mainItemType[]
        checkedItem: (item: mainItemType) => void
        optChange: (type: optType, item: cbQueySys.mainItemType) => void
        dragItem: (key: string, key2: string) => void
    }

    export interface formItemProps {
        data: cbQueySys.mainItemType
        index: number
        maxLen: number
        uploadUrl?: string // 图片上传地址 预览
        isPreview?: boolean // 是否是预览 预览
        formValues?: any
    }

    export interface nextPageProps {
        index: number
        data: mainItemType
        maxLen: number
        listCopy: mainItemType[]
    }

    export interface editItemTypes {
        data: mainItemType
        onChange: (cb: Function, key: string) => void
        disablePage: boolean
    }

    export interface mainPreview {}
}
