import React from 'react'
import { Select, Input } from 'antd'

const { Option } = Select

export default (props) => {
    const { onChangeKeyArr, data } = props
    return (
        <>
            <div className="edit-box_item eidt-box_title">
                <div className="box-item_label">校验类型:</div>
                <Select
                    disabled={props.disablePage}
                    defaultValue={data.fieldOption.type}
                    onChange={(e) => {
                        if (data.fieldOption.type !== 'custom') {
                            onChangeKeyArr(['fieldOption', 'checkReg'], '')
                        }
                        onChangeKeyArr(['fieldOption', 'type'], e)
                    }}
                >
                    <Option value="any">无限制</Option>
                    <Option value="number">数字</Option>
                    <Option value="english">英文</Option>
                    <Option value="chinese">中文</Option>
                    <Option value="phone">手机号</Option>
                    <Option value="idCard">身份证号码</Option>
                    <Option value="date">日期格式YYYY-MM-DD</Option>
                    <Option value="custom">自定义</Option>
                </Select>
            </div>
            {data.fieldOption.type === 'custom' ? (
                <div className="edit-box_item eidt-box_title">
                    <div className="box-item_label">表达式(正则):</div>
                    <Input
                        defaultValue={data.fieldOption.checkReg}
                        onChange={(e) => {
                            onChangeKeyArr(['fieldOption', 'checkReg'], e.target.value)
                        }}
                    />
                </div>
            ) : (
                ''
            )}
            <div className="edit-box_item eidt-box_title">
                <div className="box-item_label">错误提示:</div>
                <Input
                    defaultValue={data.fieldOption.errorTip}
                    onChange={(e) => {
                        onChangeKeyArr(['fieldOption', 'errorTip'], e.target.value)
                    }}
                />
            </div>
            
        </>
    )
}
