import React from 'react'
import { Input, Switch, Collapse } from 'antd'

const { Panel } = Collapse

export default (props) => {
    const { onChangeKeyArr } = props
    const { data }= props
    return (
        <>
            <div className="edit-box_item eidt-box_title">
                <div className="box-item_label">表单字段:</div>
                <Input
                    disabled={props.disablePage}
                    placeholder="请输入表单字段"
                    allowClear
                    defaultValue={data.formParams.field}
                    onChange={(e) => {
                        onChangeKeyArr(['formParams', 'field'], e.target.value)
                    }}
                />
            </div>
            <div className="edit-box_item eidt-box_title">
                <div className="box-item_label">字段名称:</div>
                <Input
                    disabled={props.disablePage}
                    placeholder="请输入字段名称"
                    allowClear
                    defaultValue={data.fieldDesc}
                    onChange={(e) => {
                        onChangeKeyArr(['fieldDesc'], e.target.value)
                    }}
                />
            </div>
            <div className="edit-box_item eidt-box_title">
                <div className="box-item_label">字段说明:</div>
                <Input
                    disabled={props.disablePage}
                    placeholder="请输入字段说明"
                    allowClear
                    defaultValue={data.formParams.extra}
                    onChange={(e) => {
                        onChangeKeyArr(['formParams', 'extra'], e.target.value)
                    }}
                />
            </div>
            <div className="edit-box_item eidt-box_title">
                <div className="box-item_label">默认值:</div>
                <Input
                    disabled={props.disablePage}
                    placeholder="请输入默认值"
                    allowClear
                    defaultValue={data.formParams.defaultValue}
                    onChange={(e) => {
                        onChangeKeyArr(['formParams', 'defaultValue'], e.target.value)
                    }}
                />
            </div>
            <div className="edit-box_item">
                <div className="box-item_label">是否必填:</div>
                <Switch
                    defaultChecked={data.fieldRequired}
                    disabled={props.disablePage}
                    onChange={(e) => {
                        onChangeKeyArr(['fieldRequired'], e)
                    }}
                ></Switch>
            </div>
            <div className="edit-box_item">
                <div className="box-item_label">是否禁用:</div>
                <Switch
                    defaultChecked={data.formParams.disabled}
                    disabled={props.disablePage}
                    onChange={(e) => {
                        onChangeKeyArr(['formParams', 'disabled'], e)
                    }}
                ></Switch>
            </div>
        </>
    )
}
