import React from "react";

import { Row, Input, Switch, Col } from "antd";

import "./index.less";

const colors = ["red", "#333", "yellow", "pink", "blue", "white", "purple"];
const reg = /[^0-9]/gi;

const StyleComm = (props) => {
  return (
    <div>
      <div className="edit-box_item">
        <div className="box-item_label">标题颜色:</div>
        <div className="box-item_center">
          <div className="color-box">
            {colors.map((v) => {
              return (
                <div
                  key={v}
                  className={`color-item ${props.data.fieldProperties.titleColor === v ? "actived" : ""} ${v === "white" && "white-border"}`}
                  style={{
                    background: v,
                  }}
                  onClick={() => {
                    if (props.disablePage) {
                      return;
                    }
                    props.onChangeKeyArr(["fieldProperties", "titleColor"], v);
                  }}
                ></div>
              );
            })}
          </div>
        </div>
      </div>
      <div className="edit-box_item eidt-box_title">
        <div className="box-item_label">标题大小:</div>
        <Row>
          <Col span={6}>
            <Input
              disabled={props.disablePage}
              defaultValue={props.data.fieldProperties.titleSize}
              value={props.data.fieldProperties.titleSize}
              onChange={(e) => {
                const val = Number(e.target.value.replace(reg, ""));
                props.onChangeKeyArr(["fieldProperties", "titleSize"], val < 1 ? 1 : val);
              }}
              min={16}
            />
          </Col>
          <Col span={3}>
            <div className="suffix-box">
              <span>px</span>
            </div>
          </Col>
        </Row>
      </div>
      {/* <div className="edit-box_item">
        <div className="box-item_label">标题大小:</div>
        <div className="box-item_center">
          <InputNumber
            min={10}
            max={100}
            onChange={(e) => {
              props.onChangeKeyArr(["fieldProperties", "titleSize"], e);
            }}
            defaultValue={props.data.fieldProperties.contentSize}
            formatter={(value) => `${value}px`}
            parser={(value) => value.replace("px", "")}
          />
        </div>
      </div> */}
      <div className="edit-box_item" style={{ display: !props.hideEditTitleType ? "block" : "none" }}>
        <div className="box-item_label">显示类型:</div>
        <div className="box-item_center">
          <Switch
            checked={props.data.fieldProperties.showType}
            onChange={(e) => {
              props.onChangeKeyArr(["fieldProperties", "showType"], e);
            }}
            disabled={props.disablePage}
          ></Switch>
        </div>
      </div>
    </div>
  );
};

export default StyleComm;

