import React from 'react'

import { Collapse, Switch } from 'antd'

import DesignComm from '@/component/materiel-design-comm/shange'
import FormHeader from '@/component/materiel-design-comm/form-header'
import AsyncList from '@/component/materiel-design-comm/async-list'
import useDesignState from '@/component/edit-engine/Hooks/design-state'

const { Panel } = Collapse

const EditRadio = (props) => {
    const { onChangeKeyArr, deleteItem, addItem, dragItem } = useDesignState(props)
    const { data } = props
    return (
        <div className="form-edit_box edit-radio">
            <div>
                <Collapse>
                    <Panel header="表单设置" key="3">
                        <FormHeader data={data} onChangeKeyArr={onChangeKeyArr} />
                        <div className="edit-box_item eidt-box_title">
                            <div className="box-item_label">全选按钮:</div>
                            <Switch
                                defaultChecked={data.formParams.isCheckAll}
                                onChange={(e) => {
                                    onChangeKeyArr(['formParams', 'isCheckAll'], e)
                                }}
                            ></Switch>
                        </div>
                    </Panel>
                    <Panel header="选项" key="1">
                        <AsyncList
                            data={data}
                            onChangeKeyArr={onChangeKeyArr}
                            deleteItem={deleteItem}
                            addItem={addItem}
                            dragItem={dragItem}
                        />
                    </Panel>
                    <Panel header="栅格布局" key="2">
                        <DesignComm data={data} onChangeKeyArr={onChangeKeyArr} />
                    </Panel>
                </Collapse>
            </div>
        </div>
    )
}

export default EditRadio
