import React, { useMemo, useState, useEffect } from 'react'

import { Form, Checkbox } from 'antd'

const CheckBoxAll = (props) => {
    const { value, onChange, data } = props

    const [indeterminate, setindeterminate] = useState(false)
    const [checkall, setcheckall] = useState(false)
    const [listData, setListData] = useState([])

    const groupChange = (e: string[]) => {
        if (e.length) {
            setindeterminate(true)
        }
        if (e.length === optSource.length) {
            setindeterminate(false)
            setcheckall(true)
        } else {
            setcheckall(false)
        }
        onChange(e)
        props.change && props.change(data, e)
    }

    const checkAllChane = (e) => {
        setindeterminate(false)
        setcheckall(e.target.checked)
        props.form.setFieldsValue({
            [data.formParams.field]: e.target.checked
                ? optSource.map((v) => {
                      return v.value
                  })
                : []
        })
    }
    const optSource = useMemo(() => {
        const { optionsSourceType, optionsSourceName } = data.designParams || {}
        if (optionsSourceType === 'static') {
            return data.fieldOption || []
        }
        const source = props[optionsSourceName] || []
        if (source && source.length) {
            return props[optionsSourceName]
        }
        console.error(`请传入${optionsSourceName}`)
        return []
    }, [props[data.designParams.optionsSourceName], data.fieldOption])

    const getListData = async (pm = {}) => {
        if (!props.request) {
            return
        }
        const { optionsConfig } = data
        const params = { [optionsConfig.field]: '', ...JSON.parse(optionsConfig.params || '{}'), ...pm }
        const d = optionsConfig.method === 'get' ? { params } : { data: params }
        const res = await props.request(optionsConfig.url, {
            method: optionsConfig.method,
            ...d
        })
        if (res.code === 0) {
            setListData(res.data[optionsConfig.listName])
        }
    }

    useEffect(() => {
        if (data.designParams.optionsSourceType === 'custom') {
            getListData({})
        } else {
            setListData(optSource)
        }
    }, [props[data.optionsSourceName], data.fieldOption])

    return (
        <>
            {data.formParams.isCheckAll ? <Checkbox indeterminate={indeterminate} checked={checkall} onChange={checkAllChane}>
                全选
            </Checkbox> : ''}
            <Checkbox.Group
                disabled={data.formParams.disabled}
                options={listData}
                value={value}
                onChange={groupChange}
            />
        </>
    )
}

const formRadio = (props) => {
    const { data } = props

    return (
        <Form.Item
            className={`form-item form-item-radio ${data.fieldKey}`}
            rules={[{ required: data.fieldRequired, message: '请选择' }]}
            label={data.fieldDesc}
            name={data.formParams.field}
            extra={data.formParams.extra}
        >
            <CheckBoxAll {...props} />
        </Form.Item>
    )
}

export default formRadio
