import React from 'react'

import { Input, Select, Collapse } from 'antd'

import DesignComm from '@/component/materiel-design-comm/shange'
import FormHeader from '@/component/materiel-design-comm/form-header'
import useDesignState from '@/component/edit-engine/Hooks/design-state'

import './index.less'

const { Option } = Select
const { Panel } = Collapse

const EditInput = (props) => {
    const { onChangeKeyArr } = useDesignState(props)
    const { data } = props
    return (
        <div className="edit-input">
            <Collapse>
                <Panel header="表单设置" key="1">
                    <FormHeader data={data} onChangeKeyArr={onChangeKeyArr} />
                    <div className="edit-box_item eidt-box_title">
                        <div className="box-item_label">引导文字:</div>
                        <Input
                            disabled={props.disablePage}
                            placeholder="请输入"
                            defaultValue={data.formParams.placeholder}
                            onChange={(e) => {
                                onChangeKeyArr(['formParams', 'placeholder'], e.target.value)
                            }}
                        />
                    </div>

                    <div className="edit-box_item eidt-box_title">
                        <div className="box-item_label">日期类型:</div>
                        <Select
                            defaultValue={data.formParams.dateType}
                            onChange={(e) => {
                                onChangeKeyArr(['formParams', 'dateType'], e)
                            }}
                        >
                            <Option value="date">年月日</Option>
                            <Option value="year">年</Option>
                            <Option value="month">月</Option>
                            <Option value="week">周</Option>
                            <Option value="time">时分秒</Option>
                        </Select>
                    </div>
                    {data.formParams.dateType === 'date' ? (
                        <div className="edit-box_item eidt-box_title">
                            <div className="box-item_label">日期格式:</div>
                            <Input
                                disabled={props.disablePage}
                                placeholder="请输入"
                                defaultValue={data.formParams.dateFormat}
                                onChange={(e) => {
                                    onChangeKeyArr(['formParams', 'dateFormat'], e.target.value)
                                }}
                            />
                        </div>
                    ) : (
                        ''
                    )}
                </Panel>
                {/* <Panel header="表单校验" key="2">
                    <FormCheck data={props.data} onChangeKeyArr={onChangeKeyArr} />
                </Panel> */}
                <Panel header="栅格布局" key="3">
                    <DesignComm data={props.data} onChangeKeyArr={onChangeKeyArr} />
                </Panel>
            </Collapse>
        </div>
    )
}

export default EditInput
