import React from 'react'

import { DatePicker, Form } from 'antd'
import 'moment/locale/zh-cn';
import locale from 'antd/es/date-picker/locale/zh_CN';


import './index.less'

const FormInput = (props) => {
    const { data } = props
    return (
        <Form.Item
            className={`form-item ${data.fieldKey}`}
            rules={[{ required: data.fieldRequired, message: '请填写' }]}
            label={data.fieldDesc}
            name={data.formParams.field}
            extra={data.formParams.extra}
        >
            <DatePicker
                className="date-picker"
                picker={data.formParams.dateType}
                format={data.formParams.dateType === 'date' ? data.formParams.dateFormat : undefined}
                onChange={(e) => {
                    // props.change(data, e)
                }}
                locale={locale}
                disabled={data.disabled}
                placeholder={data.formParams.placeholder}
            />
        </Form.Item>
    )
}

export default FormInput

