import React from 'react'

import { InputNumber, Form } from 'antd'

import './index.less'

const FormInput = (props) => {
    const { data } = props
    return (
        <Form.Item
            className={`form-item ${data.fieldKey}`}
            rules={[{ required: data.fieldRequired, message: '请填写' }]}
            label={data.fieldDesc}
            name={data.formParams.field}
            extra={data.formParams.extra}
        >
            <InputNumber
                onChange={(e) => {
                    props.change(data, e)
                }}
                max={data.formParams.maxLength}
                min={data.formParams.minLength}
                disabled={data.formParams.disabled}
                placeholder={data.formParams.placeholder}
            />
        </Form.Item>
    )
}

export default FormInput
