import React from "react";

import { Button } from "antd";

import "./index.less";

const texts: {[key: string]: string} = {
  next: "下一页",
  prev: "上一页",
  submit: "提交",
};

const NextPage = (props) => {
  const { data = {} } = props;

  return (
    <div className="form-item">
      <div className="item-title">第1页</div>
      <div className="item-main btn-top">
        {data.fieldOption.nextPageBtn.map((v) => {
          return (
            <Button key={v} style={{ margin: "0 5px" }} type="primary" onClick={() => {
              props.change &&  props.change(data, v)
            }}>
              {texts[v]}
            </Button>
          );
        })}
      </div>
    </div>
  );
};

export default NextPage

