import React from 'react'

import { DatePicker, Form } from 'antd'
import 'moment/locale/zh-cn'
import locale from 'antd/es/date-picker/locale/zh_CN'

import moment from 'moment'

const { RangePicker } = DatePicker

import './index.less'

const FormInput = (props) => {
    const { data } = props
    return (
        <Form.Item
            className={`form-item ${data.fieldKey}`}
            rules={[{ required: data.fieldRequired, message: '请填写' }]}
            label={data.fieldDesc}
            name={data.formParams.field}
            extra={data.formParams.extra}
        >
            <RangePicker
                ranges={{
                    Today: [moment(), moment()],
                    本月: [moment().startOf('month'), moment().endOf('month')]
                }}
                separator={data.formParams.separator}
                locale={locale}
                disabled={data.formParams.disabled}
                picker={data.formParams.dateType}
                format={data.formParams.dateType === 'date' ? data.formParams.dateFormat : undefined}
                showTime={data.formParams.showTime}
                onChange={(e) => {
                    console.log(e)
                }}
            />
        </Form.Item>
    )
}

export default FormInput
