import React from 'react'

import { Table } from 'antd'

import './index.less'

interface Iprops {
    data: {
        columns: {
            title: string
            dataIndex: string
            render?: <T>(t: string, item: T) => any
        }
    }
    tableData: any[]
}

const TableItem = (props: Iprops) => {
    const { data, tableData = [] } = props
    return (
        <div className="table">
            <Table columns={data.columns || []} dataSource={tableData} />
        </div>
    )
}

export default TableItem
