import React from 'react'

import { InputNumber, Input, Collapse } from 'antd'

import DesignComm from '@/component/materiel-design-comm/shange'
import FormHeader from '@/component/materiel-design-comm/form-header'
import useDesignState from '@/component/edit-engine/Hooks/design-state'

import './index.less'

const { Panel } = Collapse

const EditInput = (props) => {
    const { onChangeKeyArr } = useDesignState(props)
    const { data } = props
    return (
        <div className="edit-input">
            <Collapse>
                <Panel header="表单设置" key="1">
                    <FormHeader data={props.data} onChangeKeyArr={onChangeKeyArr} />
                    <div className="edit-box_item eidt-box_title">
                        <div className="box-item_label">引导文字:</div>
                        <Input
                            disabled={props.disablePage}
                            placeholder="请输入"
                            value={data.formParams.placeholder}
                            onChange={(e) => {
                                onChangeKeyArr(['formParams', 'placeholder'], e.target.value)
                            }}
                        />
                    </div>
                    <div className="edit-box_item eidt-box_title">
                        <div className="box-item_label">默认行数:</div>
                        <InputNumber
                            disabled={props.disablePage}
                            placeholder="请输入"
                            value={data.formParams.rows}
                            onChange={(e) => {
                                onChangeKeyArr(['formParams', 'rows'], e)
                            }}
                        />
                    </div>
                    <div className="edit-box_item eidt-box_title">
                        <div className="box-item_label">最大长度:</div>
                        <InputNumber
                            disabled={props.disablePage}
                            placeholder="请输入"
                            value={data.formParams.maxLength}
                            onChange={(e) => {
                                onChangeKeyArr(['maxLength'], e)
                            }}
                        />
                    </div>
                </Panel>
                <Panel header="栅格布局" key="3">
                    <DesignComm data={data} onChangeKeyArr={onChangeKeyArr} />
                </Panel>
            </Collapse>
        </div>
    )
}

export default EditInput
