import React from 'react'

import { Input, Form } from 'antd'

const FormInput = (props) => {
    const { data } = props
    return (
        <Form.Item
            className={`form-item ${data.fieldKey}`}
            rules={[{ required: data.fieldRequired, message: '请填写' }]}
            label={data.fieldDesc}
            name={data.formParams.field}
            extra={data.formParams.extra}
        >
            <Input.TextArea
                onChange={(e) => {
                    props.change(data, e)
                }}
                autoSize={{ minRows: data.formParams.rows }}
                disabled={data.formParams.disabled}
                placeholder={data.formParams.placeholder}
            />
        </Form.Item>
    )
}

export default FormInput
