import React from 'react'

import { Input, Collapse, Switch } from 'antd'

import DesignComm from '@/component/materiel-design-comm/shange'
import FormHeader from '@/component/materiel-design-comm/form-header'
import AsyncList from '@/component/materiel-design-comm/async-list'
import useDesignState from '@/component/edit-engine/Hooks/design-state'

import './index.less'

const { Panel } = Collapse

const EditRadio = (props) => {
    const { onChangeKeyArr, deleteItem, addItem, dragItem } = useDesignState(props)
    const { data } = props
    return (
        <div className="form-edit_box edit-select">
            <div>
                <Collapse>
                    <Panel header="表单设置" key="3">
                        <FormHeader data={data} onChangeKeyArr={onChangeKeyArr} />
                        <div className="edit-box_item eidt-box_title">
                            <div className="box-item_label">icon文案:</div>
                            <Input
                                placeholder="请输入"
                                defaultValue={data.optionsConfig.text}
                                onChange={(e) => {
                                    onChangeKeyArr(['optionsConfig', 'text'], e.target.value)
                                }}
                            />
                        </div>
                        <div className="edit-box_item eidt-box_title">
                            <div className="box-item_label">上传地址:</div>
                            <Input
                                placeholder="请输入"
                                defaultValue={data.optionsConfig.action}
                                onChange={(e) => {
                                    onChangeKeyArr(['optionsConfig', 'action'], e.target.value)
                                }}
                            />
                        </div>
                        <div className="edit-box_item eidt-box_title">
                            <div className="box-item_label">最多上传:</div>
                            <Input
                                placeholder="请输入"
                                defaultValue={data.optionsConfig.max}
                                onChange={(e) => {
                                    onChangeKeyArr(['optionsConfig', 'max'], e.target.value)
                                }}
                            />
                        </div>
                        <div className="edit-box_item eidt-box_title">
                            <div className="box-item_label">类型限制:</div>
                            <Input
                                placeholder="请输入"
                                defaultValue={data.optionsConfig.accept}
                                onChange={(e) => {
                                    onChangeKeyArr(['optionsConfig', 'accept'], e.target.value)
                                }}
                            />
                        </div>
                    </Panel>
                    <Panel header="栅格布局" key="2">
                        <DesignComm data={data} onChangeKeyArr={onChangeKeyArr} />
                    </Panel>
                </Collapse>
            </div>
        </div>
    )
}

export default EditRadio
