import React, { useState } from 'react'

import { Upload, Form } from 'antd'
import { PlusOutlined } from '@ant-design/icons'

const FormInput = (props) => {
    const [fileList, setFileList] = useState([])

    const { data } = props
    return (
        <Form.Item
            className={`form-item ${data.fieldKey}`}
            rules={[{ required: data.fieldRequired, message: '请上传文件' }]}
            label={data.fieldDesc}
            name={data.formParams.field}
            extra={data.formParams.extra}
        >
            <Upload
                action={data.optionsConfig.action}
                accept={data.optionsConfig.accept}
                disabled={data.formParams.disabled}
                fileList={fileList}
                listType="picture-card"
                showUploadList={{
                    showPreviewIcon: false,
                    showRemoveIcon: true
                }}
                headers={{
                    token: localStorage.getItem('token') || 'a1802904185a4e7ab1b25a053a35c4eb'
                }}
                data={{ type: 9 }}
                onChange={(info) => {
                    let fileList = info.fileList.map((item, i) => {
                        if (item?.response?.code === 0) {
                            const { data } = item.response
                            return { url: data.url }
                        }
                        return item
                    })
                    setFileList(fileList)
                }}
                onPreview={(file) => {}}
            >
                {fileList.length >= data.optionsConfig.max ? null : (
                    <div>
                        <PlusOutlined />
                        <div style={{ marginTop: 8 }}>{data.optionsConfig.text}</div>
                    </div>
                )}
            </Upload>
        </Form.Item>
    )
}

export default FormInput
