import React, { useState, useEffect } from 'react'

import Icon from '@/component/edit-engine/component/iconfont/icon'
import { Select } from 'antd'

const { Option } = Select

const Tools = (props) => {
    const [pageType, setPageType] = useState('1')

    const showModal = () => {
        props.setisModalVisible(true)
    }

    useEffect(() => {
        const type = localStorage.getItem('pageType') || '1'
        setPageType(type)
    }, [])
    return (
        <div className="edit-tools">
            <div className="left">
                <div className="edit-tools_name">
                    {/* <div className="login" style={{backgroundImage: `url('https://a.yunzhuxue.com/static/cb-login.png')`}}></div>  */}
                    <div style={{ fontSize: '78px' }}>
                        <Icon name="icon-qingwadongwukatongkeai"></Icon>
                    </div>
                    <div style={{ paddingTop: '10px', marginLeft: '15px' }}>
                       表单生成
                    </div>
                </div>
                <div style={{ fontSize: '78px', position: 'fixed', right: '15px', bottom: '0px' }}>
                    <Icon name="icon-eyu"></Icon>
                </div>
                {pageType === '2' ? (
                    <div className="pre-btn">
                        <div
                            className="btn"
                            onClick={() => {
                                props.importJson()
                            }}
                        >
                            <div>
                                <Icon name="icon-buju"></Icon>
                            </div>
                            导入JSON
                        </div>
                    </div>
                ) : (
                    ''
                )}
                <div className="tools-select">
                    <Select
                        value={pageType}
                        placeholder="切换模式"
                        bordered={false}
                        // showSearch
                        // filterOption={(input, option) =>
                        //     option.children.toLowerCase().indexOf(input.toLowerCase()) >= 0
                        // }
                        onChange={(e) => {
                            setPageType(e)
                            props.typeChange(e)
                            localStorage.setItem('pageType', e)
                        }}
                    >
                        <Option value="1">普通模式</Option>
                        <Option value="2">开发者模式</Option>
                    </Select>
                </div>

                {pageType === '2' ? (
                    <div className="tools-select">
                        <Select
                            style={{ minWidth: '150px' }}
                            value={props.formName}
                            placeholder="选择表单"
                            showSearch
                            bordered={false}
                            // filterOption={(input, option) =>
                            //     option.children.toLowerCase().indexOf(input.toLowerCase()) >= 0
                            // }
                            onChange={(e) => {
                                console.log(e)
                                props.formChange(e)
                            }}
                        >
                            {props.metaList.map((v) => {
                                return (
                                    <Option key={v} value={v}>
                                        {v}
                                    </Option>
                                )
                            })}
                        </Select>
                    </div>
                ) : (
                    ''
                )}
                <div className="edit-tools_btn_box">
                    <div className="btn" onClick={showModal}>
                        <div>
                            <Icon name="icon-buju"></Icon>
                        </div>
                        布局
                    </div>
                    {pageType === '2' ? (
                        <>
                            <div className="btn" onClick={props.addForm}>
                                <div>
                                    <Icon name="icon-xinzeng"></Icon>
                                </div>
                                新增
                            </div>
                            <div
                                className="btn"
                                onClick={() => {
                                    props.localSave(localStorage.getItem('formName'))
                                }}
                            >
                                <div>
                                    <Icon name="icon-keep"></Icon>
                                </div>
                                保存
                            </div>

                            <div className="btn" onClick={props.build}>
                                <div>
                                    <Icon name="icon-huowudui"></Icon>
                                </div>
                                打包
                            </div>
                            <div className="btn" onClick={props.preview}>
                                <div>
                                    <Icon name="icon-preview"></Icon>
                                </div>
                                预览
                            </div>
                        </>
                    ) : (
                        <>
                            <div
                                className="btn"
                                onClick={() => {
                                    props.localSave('普通模式专用')
                                }}
                            >
                                <div>
                                    <Icon name="icon-keep"></Icon>
                                </div>
                                本地保存
                            </div>
                            <div className="btn" onClick={props.preview}>
                                <div>
                                    <Icon name="icon-preview"></Icon>
                                </div>
                                预览
                            </div>
                        </>
                    )}
                </div>
            </div>
        </div>
    )
}

export default Tools
