import React from 'react'

import { message, Button } from 'antd'

import Preview from '@/component/preview'

const fetchFunc = (url, data) => {
    return fetch(`${window.location.origin}${url}`, {
        method: 'POST',
        headers: {
            'Content-Type': 'application/json'
        },
        body: JSON.stringify(data)
    }).then((res) => res.json())
}

export default (props) => {
    const [data, setData] = React.useState({
        list: [],
        formLayout: { labelCol: {}, wrapperCol: {}, layout: '' }
    })
    const onceEnter = React.useRef(false)

    const ref = React.useRef()

    const init = async () => {
        const formName = localStorage.getItem('formName')
        if (!onceEnter.current &&!formName || formName === 'undefined' || formName === 'null') {
          alert('没有这个表单')
        }
        onceEnter.current = true
        const metaData = await fetchFunc('/get-meta-details', { formName })
        if (metaData.code !== 0) {
            message.warn('报错了。是否点了保存按钮？ ')
            return
        }
        const { details } = metaData.data
        setData(details)
    }

    React.useEffect(() => {
        init()
    }, [])
    return (
        <div>
            <Preview
                list={data.list}
                ref={ref}
                change={(e) => {
                    console.log(e)
                }}
                request={{ get: () => {}, post: () => {} }}
                submit={() => {
                    console.log('sub')
                }}
                formLayout={data.formLayout}
            />
            <Button onClick={async () => {
              const data = await ref.current.form.validateFields()
              console.log(data)
            }}>保存</Button>
        </div>
    )
}
