import React from 'react'
import { Redirect } from 'react-router-dom'

import Index from '@/pages/app'
import Home from '@/pages/home'
import Preview from '@/pages/preview'
import Generate from '@/component/generate'

const routerRender = (props: any): React.CElement<any, React.Component<any, any, any>> => {
    console.log(props.route.meta)
    if (props.route.meta && props.route.meta.title) {
        document.title = props.route.meta.title
    } else {
        document.title = '创建表单'
    }
    return React.createElement(props.route.component, props)
}

const routes = [
    {
        component: Index,
        routes: [
            {
                path: '/',
                exact: true,
                render: () => <Redirect to={'/home'} />
            },
            {
                path: '/home',
                component: Home,
                meta: {
                    title: '创建表单'
                },
                render: routerRender
            },
            {
                path: '/generate',
                meta: {
                    title: '预览'
                },
                component: Generate,
                render: routerRender
            },
            {
                path: '/preview',
                meta: {
                    title: '预览'
                },
                component: Preview,
                render: routerRender
            }
        ]
    }
]

export default routes
